/***************************************************************************
           dialogproject.h  -  display dialog with list of blocks
          --------------------------------------------------------
    begin                : Fri Sep 8 2000
    copyright            : (C) 2000 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALOGPROJECT_H
#define DIALOGPROJECT_H

#include <gtk--/window.h>
#include <gtk--/clist.h>
#include <gtk--/box.h>
#include <gtk--/button.h>
#include <gtk--/frame.h>
#include <gtk--/main.h>
#include <gtk--/box.h>
#include <gtk--/scrolledwindow.h>

#include <gnome--/stock.h>

#include <vector>
#include <string>

#include "blocklist.h"
#include "dialogresize.h"

using namespace std;

/**
  *@author Ladislav Slezk
  */

class DialogProject : public Gtk::Window {

	public:
	
	DialogProject(BlockList *);
	~DialogProject();
	
  void refresh();
	
	private:
	
	void selected(int, int, GdkEvent *);
  void bdelete_pressed();
  void bresized_pressed();
  void bdown_pressed();
  void bup_pressed();
	
	Gtk::HBox *boxH;
	Gtk::VButtonBox *boxV;
	Gtk::Button *bdelete, *bresize;
	Gnome::StockButton *bclose;
	Gnome::StockButton *bup;
	Gnome::StockButton *bdown;
	Gtk::CList *clist;
	Gtk::ScrolledWindow *swindow;
	BlockList *blist;
	int selected_item;
	DialogResize  *dresize;
	
};

#endif
