/***************************************************************************
              gnomeconfig.h  -  C++ wrapper for gnome-config.h
             --------------------------------------------------
    begin                : Fri Apr 20 2001
    copyright            : (C) 2001 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GNOMECONFIG_H
#define GNOMECONFIG_H

#include <string>

/**gnome-config.h wrapper
  *@author Ladislav Slezk
  */

class GnomeConfig {

  public:

  	GnomeConfig();
	  ~GnomeConfig();
	
	  int get_integer(string path);
	  string get_string(string path);
	  double get_float(string path);
	  bool get_bool(string path);
	
	  void set_integer(string path, int value);
	  void set_string(string path, string value);
	  void set_float(string path, double value);
	  void set_bool(string path, bool value);
	
	  void push_prefix(string prefix);
	  void pop_prefix();
	
	  void sync();
	
};

#endif
