dnl 
dnl Some Quickedit macros for autoconf

dnl ENABLE_DEBUG_OUTPUT -- add option to enable debut output 

AC_DEFUN(ENABLE_DEBUG_OUTPUT, [
  AC_ARG_ENABLE(debug-output, 
    [  --enable-debug-output	display debug output [default=no]],
    [debug=yes],
    [debug=no]
  )
  
  AC_MSG_CHECKING(whether debug output is enabled)

  if test $debug = yes ; then
    AC_DEFINE(DEBUG_OUTPUT, 1, [Define if debug output is enabled])
  fi
  
  AC_MSG_RESULT($debug)
])