/***************************************************************************
                          utils.h  -  description
                             -------------------
    begin                : Sun Feb 11 2001
    copyright            : (C) 2001 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UTILS_H
#define UTILS_H

#include <string>

#include "dialogtageditor.h"

using namespace std;

/**
  *@author Ladislav Slezk
  */

class Utils {

  public:

	  Utils();
  	~Utils();

  static string ms2str(int ms);

  static string relativeFile(string absFileName, string absDirName);
  static string absoluteFile(string relFileName, string absDirName);

  static bool write_WAV_header(ostream &os, int ch, int f, int bps);
  static bool write_WAV_header_len(ostream &os);

  static bool write_ID3_tag(ostream &os, DialogTagEditor *id3);
	
};

#endif
